gRPC C#
gRPC C#
Namespaces
Grpc.Core
IClientStreamWriter(T) Interface
IClientStreamWriter(T) Properties
IClientStreamWriter(T) Methods

IClientStreamWriter T Interface

Client-side writable stream of messages with Close capability.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public interface IClientStreamWriter<T> : IAsyncStreamWriter<T>

    Public Interface IClientStreamWriter(Of T)
    	Inherits IAsyncStreamWriter(Of T)

    generic<typename T>
    public interface class IClientStreamWriter : IAsyncStreamWriter<T>

    type IClientStreamWriter<'T> =
        interface
            interface IAsyncStreamWriter<'T>
        end

#### Type Parameters

T
  The message type.

The IClientStreamWriter
T
type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| WriteOptions | Write options that will be used for the next write. If null, default options will be used. Once set, this property maintains its value across subsequent writes. (Inherited from IAsyncStreamWriter T .)

Top
Methods

| Name | Description
--- | --- | ---
| CompleteAsync | Completes/closes the stream. Can only be called once there is no pending write. No writes should follow calling this.
| WriteAsync | Writes a single asynchronously. Only one write can be pending at a time. (Inherited from IAsyncStreamWriter T .)

Top
Extension Methods

| Name | Description
--- | --- | ---
| WriteAllAsync T | Writes all elements from given enumerable to the stream. Completes the stream afterwards unless close = false. (Defined by AsyncStreamExtensions.)

Top
See Also

#### Reference

Grpc.Core Namespace